%global library /usr/lib

Name:           mate-tweak
Version:        17.04.1
Release:        %mkrel 1
Summary:        Mate Tweak
Group:          Graphical desktop/Mate
License:        MIT
URL:            https://launchpad.net/ubuntu/+source/mate-tweak
Source0:        https://launchpad.net/ubuntu/+source/mate-tweak/%{name}-%{version}.tar.xz
Patch0:         mate-tweak-17.04.1-applet_paths.patch
Patch1:         mate-tweak-17.04.1-libexec.patch
Patch2:         mate-tweak-17.04.1-options.patch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:	python3-distutils-extra
Requires:       python3-gobject3
Requires:  		python3
Requires:		python3-psutil
Requires:       python3-setproctitle
Requires:  		zenity
		
%description
Configures some aspects of the MATE desktop not exposed via the
 MATE Control Center applets.
 
 Settings that can be handled via MATE Tweak:
 
   - Show/hide standard desktop icons
   - Panel fine-tuning (icon visibility, in menus and on buttons,
     icon size, button labelling, contex menus, etc.)
   - Window manager fine-tuning


%files -f %{name}.lang
%doc README.md
%{_bindir}/*
%{_datadir}/mate-tweak/
%{_datadir}/applications/mate-tweak.desktop
%{_datadir}/mate/applications/*.desktop
%{_mandir}
/usr/libexec/mate-tweak/disable-mate-volume-applet
/usr/libexec/mate-tweak/install-mate-panel-layout
/usr/libexec/mate-tweak/mate-panel-backup
/usr/libexec/mate-tweak/mate-tweak.ui
%{python3_sitelib}/*egg-info

#--------------------------------------------------------------------

%prep
%setup -q
%apply_patches

# We don't provide xdg-su. Change it to use polkit.
sed -i "s|'xdg-su', '-c |'pkexec', '|g" %{name}
sed -i '/polkit/d' setup.py

# Change installat location to libexec
for i in "mate-tweak data/org.mate.mate-tweak.policy"; do
    sed -i "s|/usr/lib/mate-tweak|/usr/libexec/mate-tweak|g" $i
done

%build
%py3_build


%install
rm -rf %buildroot
%py3_install

#menu
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-Configuration-Other" \
  --add-only-show-in="MATE" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

#install lang
%find_lang %{name}

%changelog
* Sun May 14 2017 adrianomorselli <adrianomorselli> 17.04.1-1uplos2017
- update
